Summary:	SynCE Unshield - a tool to extract InstallShield Cabinet files
Summary(pl.UTF-8):	SynCE Unshield - narzędzie do rozpakowywania archiwów InstallShield
Name:		synce-unshield
Version:	0.6
Release:	3
License:	MIT
Group:		Applications/File
Source0:	http://downloads.sourceforge.net/synce/unshield-%{version}.tar.gz
# Source0-md5:	31a829192a255160d1f71cda4c865c9c
URL:		http://www.synce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An installer created by the InstallShield software stores the files it
will install inside of InstallShield Cabinet Files. It would thus be
desirable to be able to extract the Microsoft Cabinet Files from the
InstallShield Cabinet Files in order to be able to install the
applications without access to Microsoft Windows. Unshield is a
solution that allows to perform this task.

%description -l pl.UTF-8
Instalator stworzony przez oprogramowanie InstallShield przechowuje
pliki do zainstalowania wewnątrz plików InstallShield Cabinet. Jest
pożądane, by dało się rozpakować zawartość plików InstallShield
Cabinet w celu instalacji aplikacji bez dostępu do Microsoft Windows.
Unshield jest narzędziem stworzonym do tego celu.

%package libs
Summary:	The Unshield library
Summary(pl.UTF-8):	Biblioteka Unshield
Group:		Libraries

%description libs
The Unshield library.

%description libs -l pl.UTF-8
Biblioteka Unshield.

%package libs-devel
Summary:	Header files for the Unshield library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Unshield
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description libs-devel
Header files for the Unshield library.

%description libs-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Unshield.

%package libs-static
Summary:	Static Unshield library
Summary(pl.UTF-8):	Statyczna biblioteka Unshield
Group:		Development/Libraries
Requires:	%{name}-libs-devel = %{version}-%{release}

%description libs-static
Static Unshield library.

%description libs-static -l pl.UTF-8
Statyczna biblioteka Unshield.

%prep
%setup -q -n unshield-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README* TODO
%attr(755,root,root) %{_bindir}/unshield
%{_mandir}/man1/unshield.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libunshield.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libunshield.so.0

%files libs-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libunshield.so
%{_libdir}/libunshield.la
%{_includedir}/libunshield.h
%{_pkgconfigdir}/libunshield.pc

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/libunshield.a
%changelog
* Fri Aug 07 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/synce-unshield.git;a=log;h=master

* Fri Aug 07 2015 Jan Rękorajski <baggins@pld-linux.org> 811a987
- release 3 (by relup.sh)

* Mon Feb 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 244d82a
- better Group

* Thu Feb 17 2011 Elan Ruusamäe <glen@pld-linux.org> ab952be
- release 2

* Mon Jul 12 2010 Elan Ruusamäe <glen@pld-linux.org> 95def3c
- merges from unshield.spec

* Tue Jun 15 2010 arvenil <arvenil@pld-linux.org> 6aaffc8
- up to 0.6
- patch -pc.patch no more needed
- added ghost

* Tue Dec 18 2007 Elan Ruusamäe <glen@pld-linux.org> 2071d9c
- rel 3

* Mon Nov 12 2007 Elan Ruusamäe <glen@pld-linux.org> 786564f
- add pkgconfig file; rel 2

* Mon Nov 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6b6ad2a
- create pkgconfig file. based on svn

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 365994d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 82712bf
- converted to UTF-8

* Mon Dec 11 2006 Elan Ruusamäe <glen@pld-linux.org> 6c2c241
- new URL

* Sun Oct 30 2005 Jakub Bogusz <qboosh@pld-linux.org> 6d40a85
- libs Group, deps fixes

* Sat Oct 29 2005 Michał Łukaszek <mlukaszek+pld@gmail.com> 930d553
- typos.

* Sat Oct 29 2005 Michał Łukaszek <mlukaszek+pld@gmail.com> 9746576
- should not be arch-sensitive
- fixed post(un) parts, should be in libs subpackage

* Sat Oct 29 2005 Michał Łukaszek <mlukaszek+pld@gmail.com> ae1d49e
- new in PLD

* Sat Oct 29 2005 Michał Łukaszek <mlukaszek+pld@gmail.com> 1bbcc8b
- argh, damn you, adapter! will commit again when re-written

* Sat Oct 29 2005 Michał Łukaszek <mlukaszek+pld@gmail.com> f57cb52
- new in PLD

